org.apache.hadoop.yarn.api.records.impl.pb

## Class ContainerIdPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ContainerId
  - - org.apache.hadoop.yarn.api.records.impl.pb.ContainerIdPBImpl

- All Implemented Interfaces:
    Comparable<org.apache.hadoop.yarn.api.records.ContainerId>

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class ContainerIdPBImpl
      extends org.apache.hadoop.yarn.api.records.ContainerId

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.api.records.ContainerId

      `CONTAINER_ID_BITMASK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerIdPBImpl()`
    `ContainerIdPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `build()`
    `org.apache.hadoop.yarn.api.records.ApplicationAttemptId` | `getApplicationAttemptId()`
    `long` | `getContainerId()`
    `int` | `getId()` Deprecated.
    `org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto` | `getProto()`
    `protected void` | `setApplicationAttemptId(org.apache.hadoop.yarn.api.records.ApplicationAttemptId atId)`
    `protected void` | `setContainerId(long id)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.ContainerId

      `compareTo, equals, fromString, hashCode, newContainerId, newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerIdPBImpl

          public ContainerIdPBImpl()

    - #### ContainerIdPBImpl

          public ContainerIdPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto getProto()

    - #### getId

          @Deprecated
          public int getId()

      Deprecated.
      Specified by:
        `getId` in class `org.apache.hadoop.yarn.api.records.ContainerId`

    - #### getContainerId

          public long getContainerId()

      Specified by:
        `getContainerId` in class `org.apache.hadoop.yarn.api.records.ContainerId`

    - #### setContainerId

          protected void setContainerId(long id)

      Specified by:
        `setContainerId` in class `org.apache.hadoop.yarn.api.records.ContainerId`

    - #### getApplicationAttemptId

          public org.apache.hadoop.yarn.api.records.ApplicationAttemptId getApplicationAttemptId()

      Specified by:
        `getApplicationAttemptId` in class `org.apache.hadoop.yarn.api.records.ContainerId`

    - #### setApplicationAttemptId

          protected void setApplicationAttemptId(org.apache.hadoop.yarn.api.records.ApplicationAttemptId atId)

      Specified by:
        `setApplicationAttemptId` in class `org.apache.hadoop.yarn.api.records.ContainerId`

    - #### build

          protected void build()

      Specified by:
        `build` in class `org.apache.hadoop.yarn.api.records.ContainerId`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.